Subject: bug#23094: closed (Re: bug#23094: icecat is missing a desktop file)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jun 2016 19:33:01 +0000

Your bug report

#23094: icecat is missing a desktop file

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23094: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23094
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23094: icecat is missing a desktop file
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Thu, 02 Jun 2016 21:32:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> On Tue, 31 May 2016 15:47:35 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> I tested the attached one.  It works as expected, but there remain
>> “%%ifdef” things in it (see attached file), and I’m guessing GNOME &
>> co. will barf upon them, though I don’t know how to test.
>
> I think the easiest way to test (with few dependencies too) is:
>
> $ guix package -i rofi
> $ rofi -show drun

Oh, thanks for the trick.

AFAICS commit 6cde5c34a1b7acb953e87055b845629015903888 fixes that.

Let me know if something’s still wrong with the .desktop entry!

Thanks for your patience,
Ludo’.

Subject: icecat is missing a desktop file
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Tue, 22 Mar 2016 20:20:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

icecat is missing a desktop file and thus it doesn't show up in any application menus. Comparison with hexchat (which does have it) below:

$ find /gnu/store/vwbw8070vy7ikaxbgs6pmi0isw3yzxvm-icecat-38.6.0-gnu1 -name "*.desktop"
$ find /gnu/store/vz1cs171wyj9bq48r4kz8s56hpk6gayy-hexchat-2.10.1 -name "hexchat.desktop"
/gnu/store/vz1cs171wyj9bq48r4kz8s56hpk6gayy-hexchat-2.10.1/share/applications/hexchat.desktop
$ cat /gnu/store/vz1cs171wyj9bq48r4kz8s56hpk6gayy-hexchat-2.10.1/share/applications/hexchat.desktop

[Desktop Entry]
Name=HexChat
Name[de]=HexChat
Name[en_GB]=HexChat
Name[es]=HexChat
Name[fr]=HexChat
Name[it]=HexChat
Name[ja_JP]=HexChat
Name[ko]=헥스채트
Name[pl]=HexChat
Name[sq]=HexChat
Name[zh_CN]=HexChat
GenericName=IRC Client
GenericName[de]=IRC-Client
GenericName[en_GB]=IRC Client
GenericName[es]=Cliente de IRC
GenericName[fi]=IRC Client
GenericName[fr]=Client IRC
GenericName[it]=Client IRC
GenericName[ja_JP]=IRCクライアント
GenericName[ko]=IRC 클라이언트
GenericName[pl]=Klient IRC
GenericName[sq]=Klient IRC
GenericName[zh_CN]=IRC 客户端
Comment=Chat with other people online
Comment[de]=Chatte online mit anderen Leuten
Comment[en_GB]=Chat with other people online
Comment[es]=Chatea con otras personas en línea
Comment[fr]=Parlez avec d'autres personnes en ligne
Comment[it]=Chiacchiera con altri utenti online
Comment[ja_JP]=他の人とオンラインチャットをします
Comment[ko]=온라인에 있는 사람들과 대화합니다
Comment[pl]=Rozmawiaj z innymi ludźmi przez internet
Comment[sq]=Bisedoni në linjë me persona të tjerë
Comment[zh_CN]=与其他人在线聊天
Keywords=IM;Chat;
Keywords[de]=IM;Chat;
Keywords[en_GB]=IM;Chat;
Keywords[es]=IM;Chat;
Keywords[fr]=IM;Chat;
Keywords[it]=IM;Chat;Messaggistica Istantanea;IRC;
Keywords[ko]=IM;인스턴트 메신저;Chat;대화;
Keywords[pl]=IM;Chat;
Keywords[sq]=IM;Fjalosje;
Keywords[zh_CN]=IM;聊天;
Exec=hexchat %U
Icon=hexchat
Terminal=false
Type=Application
Categories=GTK;Network;IRCClient;
StartupNotify=true
X-GNOME-UsesNotifications=true
MimeType=x-scheme-handler/irc;x-scheme-handler/ircs;
Actions=SafeMode;

[Desktop Action SafeMode]
Name=Open Safe Mode
Name[de]=Im sicheren Modus öffnen
Name[en_GB]=Open Safe Mode
Name[es]=Abrir en modo seguro
Name[fr]=Ouvrir le mode sans échec
Name[it]=Apri modalità sicura
Name[ja_JP]=セーフモードで開く
Name[ko]=공개 안전 모드
Name[pl]=Otwórz tryb bezpieczny
Name[sq]=Hap Mënyrën e Sigurt
Name[zh_CN]=打开安全模式
Exec=hexchat --no-auto --no-plugins